Subject: Re: [Intel-wired-lan] [PATCH 1/1] igb: Use ARRAY_SIZE instead fo sizeof(a)/sizeof(a[0])

From: Joe Perches <[email-masked]>
Date: Tue, 30 Jun 2015 13:52:30 -0700

On Tue, 2015-06-30 at 20:16 +0000, Fujinaka, Todd wrote:
> Sorry for the top-posting, but I'm provided with the tools they give me
> and bottom posting from Outlook just confuses email threads. Plus, this
> was crossposted all over creation and cc-ed to anyone with an intel
> address.

Not quite.  It was posted to the names listed under the
MAINTAINERS entry.

INTEL ETHERNET DRIVERS
M:	Jeff Kirsher <[email-masked]>
R:	Jesse Brandeburg <[email-masked]>
R:	Shannon Nelson <[email-masked]>
R:	Carolyn Wyborny <[email-masked]>
R:	Don Skidmore <[email-masked]>
R:	Matthew Vick <[email-masked]>
R:	John Ronciak <[email-masked]>
R:	Mitch Williams <[email-masked]>
L:	[email-masked]

btw: You aren't listed there Todd.  Should you be?

> I still would say no if I'm allowed, because to guarantee that this
> change - that I don't think fixes anything

Simplicity for the reader is generally a good thing.
Removing the macros altogether is likely better.

>  - works in all cases, we
> need to do an incredible amount of regression testing.

Compilers should not produce different object code.
Verification of no object changes should be good enough.

> Every variant of
> every Intel part that uses this driver (and there are many) should be
> tested and will end up being used by the community.
> 
> Plus, you have no idea the number of obscure bugs I have to deal with
> as the guy answering customer questions. If this triggers some odd
> embedded compiler bug, I'm going to have to dig it out. Unless there is
> an actual bug, I'd like to leave it as it is.

If any compiler miscompiles the ARRAY_SIZE macro, there are bound to
be real issues with using that compiler in a production environment.